Information on source package hplip

Available versions

ReleaseVersion
jessie3.14.6-1+deb8u1
stretch3.16.11+repack0-3
buster3.18.12+dfsg0-2
sid3.18.12+dfsg0-2

Resolved issues

BugDescription
CVE-2015-0839The hp-plugin utility in HP Linux Imaging and Printing (HPLIP) makes i ...
CVE-2013-6427upgrade.py in the hp-upgrade service in HP Linux Imaging and Printing ...
CVE-2013-6402base/pkit.py in HP Linux Imaging and Printing (HPLIP) through 3.13.11 ...
CVE-2013-4325The check_permission_v1 function in base/pkit.py in HP Linux Imaging a ...
CVE-2013-0200HP Linux Imaging and Printing (HPLIP) through 3.12.4 allows local user ...
CVE-2012-6108HP Linux Imaging and Printing (HPLIP) before 3.13.2 uses world-writabl ...
CVE-2011-2722The send_data_to_stdout function in prnt/hpijs/hpcupsfax.cpp in HP Lin ...
CVE-2011-2697foomatic-rip-hplip in HP Linux Imaging and Printing (HPLIP) 3.11.5 all ...
CVE-2010-4267Stack-based buffer overflow in the hpmud_get_pml function in io/hpmud/ ...
CVE-2009-0122hplip.postinst in HP Linux Imaging and Printing (HPLIP) 2.7.7 and 2.8. ...
CVE-2008-2941The hpssd message parser in hpssd.py in HP Linux Imaging and Printing ...
CVE-2008-2940The alert-mailing implementation in HP Linux Imaging and Printing (HPL ...
CVE-2007-5208hpssd in Hewlett-Packard Linux Imaging and Printing Project (hplip) 1. ...

Security announcements

DSA / DLADescription
DLA-775-1hplip - security update
DSA-2829-1hplip - several
DSA-2829-1hplip - several
DSA-2152-1hplip - buffer overflow
DSA-1462-1hplip - missing input sanitising

Search for package or bug name: Reporting problems